## ark 4.14.2

=== plugins/cliplugin-example/CMakeLists.txt ===
set(kerfuffle_cli_SRCS cliplugin.cpp)
kde4_add_plugin(kerfuffle_cli ${kerfuffle_cli_SRCS})
target_link_libraries(kerfuffle_cli ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} kerfuffle)

install(TARGETS kerfuffle_cli DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kerfuffle_cli.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
ark (4:4.14.2-2+deb8u1) jessie; urgency=medium

  * Add new upstream patch:
    Stop-crashing-on-exit-when-being-used-solely-as-a-KPart.patch.
    Thanks to Nick Leverton for reporting (Closes: 800021, 770840)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 21 Oct 2016 20:52:52 +0200

ark (4:4.14.2-2) unstable; urgency=medium

  * New upstream patch: upstream_remove_part_from_KXMLGUIFactory_on_exit
  * Update patch: use_libarchive_for_zip_files, handle adding and
    deleting files from a zip file (Closes: #769099)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 13 Nov 2014 16:39:11 +0100

ark (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:12:56 +0200

ark (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:21 +0200

ark (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 03:40:24 +0200

ark (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 30 Jul 2014 20:26:05 +0200

ark (4:4.13.2-1) unstable; urgency=medium

  * New upstream release.
  * Update patch: use_libarchive_for_zip_files (Closes: #749916)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Jul 2014 10:58:57 +0200

ark (4:4.13.1-1) unstable; urgency=low

  [ Sune Vuorela ]
  * Fix use_libarchive_for_zip_files. Thanks to Augusto Beiro for noticing.
    (Closes: #748198)

  [ Maximiliano Curia ]
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 13:37:19 +0200

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libarchive-dev,
               libbz2-dev,
               libkonq5-dev (>= 4:4.11),
               liblzma-dev,
               libqjson-dev,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/ark.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/ark.git

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unzip, zip
Suggests: rar, unrar | unrar-free
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

Package: ark-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ark (= ${binary:Version}), ${misc:Depends}
Replaces: kdeutils-dbg (<< 4:4.8)
Breaks: kdeutils-dbg (<< 4:4.8)
Description: debugging symbols for ark
 This package contains debugging files used to investigate problems with
 binaries included in ark.
 .
 This package is part of the KDE SC utilities module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/ark-([\d.]+).tar.xz

## ark 14.12.3

=== debian/changelog ===
ark (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:15:02 -0700

ark (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:09:12 -0800

ark (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:50:30 +0100

ark (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 09:36:08 -0800

ark (4:14.11.95-0ubuntu2) vivid; urgency=medium

  * Fix Watch file applications locations 
  * Fix VCS for new kde-applications location 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 24 Nov 2014 07:43:26 -0800

ark (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * New upstream release for kde-applications.
   - Change maintainer to Debian/Kubuntu
  * Debian merge: No remaining changes.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 21 Nov 2014 20:53:15 +0000

ark (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 02:28:58 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ark
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -11,10 +11,10 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev,
                libarchive-dev,
                libbz2-dev,
-               libkonq5-dev (>= 4:4.11),
+               libkonq5-dev (>= 4:14.12.3),
                liblzma-dev,
                libqjson-dev,
                pkg-kde-tools (>= 0.12),
@@ -22,8 +22,8 @@
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/ark.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/ark.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/ark.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/ark.git
 
 Package: ark
 Section: utils

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ark-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/ark-([\d.]+).tar.xz

## ark 15.08.2

=== debian/changelog ===
ark (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:46:32 +0100

ark (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:03:32 +0100

ark (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 16:53:56 +0100

ark (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Remove Debian patch use_libarchive_for_zip_files, it causes problems
    LP: #1404239

  [ Aaron Honeycutt ]
  * Ported to KF5

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 08:55:10 +0100

ark (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:19:31 +0200

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,31 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               extra-cmake-modules,
+               kdoctools-dev,
+               kio-dev,
                libarchive-dev,
                libbz2-dev,
-               libkonq5-dev (>= 4:14.12.3),
+               libkf5archive-dev,
+               libkf5config-dev,
+               libkf5crash-dev,
+               libkf5dbusaddons-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5khtml-dev,
+               libkf5pty-dev,
+               libkf5service-dev,
+               libkf5widgetsaddons-dev,
                liblzma-dev,
                libqjson-dev,
-               pkg-kde-tools (>= 0.12),
+               pkg-kde-tools (>= 0.15.15ubuntu1~),
+               qtbase5-dev,
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/ark.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/ark.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ark.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ark.git
 
 Package: ark
 Section: utils

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=ark-dbg

override_dh_auto_install:
	dh_auto_install --destdir=debian/ark
	rm  debian/ark/usr/lib/*/libkerfuffle.so

## ark 15.12.3

=== CMakeLists.txt ===
project(ark)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION 5.4.0)
set(KF5_MIN_VERSION 5.6.0)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "15")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake)

find_package(ECM 5.14.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)

if(POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()

add_definitions(-DQT_NO_CAST_FROM_ASCII
                -DQT_NO_URL_CAST_FROM_STRING)

include(ECMSetupVersion)
ecm_setup_version(${KDE_APPLICATIONS_VERSION}
                  VARIABLE_PREFIX ARK
                  VERSION_HEADER "ark_version.h")

ecm_setup_version(${ARK_VERSION}
                  VARIABLE_PREFIX KERFUFFLE
                  SOVERSION ${ARK_VERSION_MAJOR})

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive
                                                        Config
                                                        Crash
                                                        DBusAddons
                                                        DocTools
                                                        I18n
                                                        IconThemes
                                                        KIO
                                                        Service
                                                        Parts
                                                        Pty
                                                        WidgetsAddons)

find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt5Test PROPERTIES
    PURPOSE "Required for tests"
    TYPE OPTIONAL)
add_feature_info("Qt5Test" Qt5Test_FOUND "Required for building tests")
if (NOT Qt5Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
else()
    include(ECMAddTests)
endif()

find_package(LibArchive 3.0.0 REQUIRED)
set_package_properties(LibArchive PROPERTIES
                       URL "http://www.libarchive.org/"
                       DESCRIPTION "A library for dealing with a wide variety of archive file formats"
                       PURPOSE "Required for among others tar, tar.gz, tar.bz2 formats in Ark.")

option(WITH_TEST_COVERAGE "Build with test coverage support" OFF)
if (WITH_TEST_COVERAGE)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} --coverage")
endif (WITH_TEST_COVERAGE)

set(SUPPORTED_ARK_MIMETYPES "")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
)

add_definitions(-DTRANSLATION_DOMAIN="ark")

add_subdirectory(plugins)
add_subdirectory(kerfuffle)
add_subdirectory(part)
add_subdirectory(app)
add_subdirectory(doc)

ki18n_install(po)

install( FILES ark.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== app/CMakeLists.txt ===
add_subdirectory(icons)

set(ark_SRCS
    batchextract.cpp
    main.cpp
    mainwindow.cpp
   )

ecm_qt_declare_logging_category(ark_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.main)

# For Mac and Windows.
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-ark.png")

include(ECMAddAppIcon)
ecm_add_app_icon(ark_SRCS ICONS ${ICONS_SRCS})

add_executable( ark ${ark_SRCS} )

target_link_libraries( ark kerfuffle KF5::DBusAddons KF5::Parts KF5::KIOFileWidgets)

# Remove duplicate mimetypes from list of supported formats.
list(REMOVE_DUPLICATES SUPPORTED_ARK_MIMETYPES)

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.ark.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ark.desktop
)

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/ark_dndextract.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/ark_dndextract.desktop
)

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/ark_servicemenu.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/ark_servicemenu.desktop
)

install( TARGETS ark  ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(FILES ark_addtoservicemenu.desktop ${CMAKE_CURRENT_BINARY_DIR}/ark_servicemenu.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus)
install( PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ark.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.ark.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )
install( FILES arkui.rc    DESTINATION ${KXMLGUI_INSTALL_DIR}/ark )

############ ark_extract_here plugin ###############

set(extracthere_SRCS batchextract.cpp extractHereDndPlugin.cpp ark_debug.cpp)

add_library(extracthere MODULE ${extracthere_SRCS})
kcoreaddons_desktop_to_json(extracthere ${CMAKE_CURRENT_BINARY_DIR}/ark_dndextract.desktop)

target_link_libraries(extracthere kerfuffle KF5::Parts KF5::KIOWidgets KF5::KIOFileWidgets)
install( TARGETS extracthere DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kio_dnd )

=== kerfuffle/CMakeLists.txt ===
########### next target ###############

set(kerfuffle_SRCS
    archive_kerfuffle.cpp
    archiveinterface.cpp
    extractionsettingspage.cpp
    previewsettingspage.cpp
    settingspage.cpp
    jobs.cpp
    createdialog.cpp
    extractiondialog.cpp
    adddialog.cpp
    queries.cpp
    addtoarchive.cpp
    cliinterface.cpp
   )

kconfig_add_kcfg_files(kerfuffle_SRCS settings.kcfgc)

ki18n_wrap_ui(kerfuffle_SRCS
    adddialog.ui
    createdialog.ui
    extractiondialog.ui
    extractionsettings.ui
    previewsettings.ui
)

ecm_qt_declare_logging_category(kerfuffle_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.kerfuffle)

add_library(kerfuffle SHARED ${kerfuffle_SRCS})
generate_export_header(kerfuffle BASE_NAME kerfuffle)

target_link_libraries(kerfuffle
PUBLIC
    KF5::IconThemes
    KF5::Pty
    KF5::Service
    KF5::I18n
PRIVATE
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::KIOFileWidgets
    KF5::WidgetsAddons

)
if (NOT WIN32)
  target_link_libraries(kerfuffle ${KDE4_KPTY_LIBS})
endif (NOT WIN32)

set_target_properties(kerfuffle PROPERTIES VERSION ${KERFUFFLE_VERSION_STRING} SOVERSION ${KERFUFFLE_SOVERSION})

install(TARGETS kerfuffle ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

install(FILES kerfufflePlugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES ark.kcfg                DESTINATION ${KCFG_INSTALL_DIR})

if (Qt5Test_FOUND)
  add_subdirectory(tests)
endif (Qt5Test_FOUND)

=== part/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/app)

set(arkpart_PART_SRCS
	part.cpp
	infopanel.cpp
	arkviewer.cpp
	archivemodel.cpp
	archiveview.cpp
	jobtracker.cpp
    )

ecm_qt_declare_logging_category(arkpart_PART_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.part)

qt5_add_dbus_adaptor(arkpart_PART_SRCS dnddbusinterface.xml part.h Ark::Part)

ki18n_wrap_ui(arkpart_PART_SRCS infopanel.ui)
ki18n_wrap_ui(arkpart_PART_SRCS jobtracker.ui)

add_library(arkpart MODULE ${arkpart_PART_SRCS})

target_link_libraries(arkpart kerfuffle KF5::Parts KF5::KIOFileWidgets)

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/ark_part.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/ark_part.desktop
)

install(TARGETS arkpart DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/ark_part.desktop     DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES ark_part.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/ark )

=== app/icons/CMakeLists.txt ===
include(ECMInstallIcons)

ecm_install_icons(ICONS 128-apps-ark.png  16-apps-ark.png  22-apps-ark.png  32-apps-ark.png  48-apps-ark.png  64-apps-ark.png sc-apps-ark.svgz DESTINATION ${ICON_INSTALL_DIR})

=== kerfuffle/tests/CMakeLists.txt ===
set(RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

set(JSONINTERFACE_SOURCES
    jsonarchiveinterface.cpp
    jsonparser.cpp
)
add_library(jsoninterface STATIC ${JSONINTERFACE_SOURCES})
target_link_libraries(jsoninterface kerfuffle)

macro(KERFUFFLE_UNIT_TESTS)
    foreach(_testname ${ARGN})
        add_executable(${_testname} ${_testname}.cpp)
        add_test(kerfuffle-${_testname} ${_testname})
        target_link_libraries(${_testname} jsoninterface kerfuffle Qt5::Test)
        ecm_mark_as_test(${_testname})
        ecm_mark_nongui_executable(${_testname})
    endforeach(_testname)
endmacro(KERFUFFLE_UNIT_TESTS)

KERFUFFLE_UNIT_TESTS(
    archivetest
    jobstest
    mimetypetest
)

=== plugins/cli7zplugin/CMakeLists.txt ===
########### next target ###############

set(SUPPORTED_CLI7Z_MIMETYPES "application/x-7z-compressed;application/zip;")
set(ENCRYPT_ENTRIES_MIMETYPES "application/x-7z-compressed,application/zip")
set(ENCRYPT_HEADER_MIMETYPES "application/x-7z-compressed")

set(kerfuffle_cli7z_SRCS cliplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_cli7z_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.cli7z)

add_library(kerfuffle_cli7z MODULE ${kerfuffle_cli7z_SRCS})

target_link_libraries(kerfuffle_cli7z kerfuffle)

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_cli7z.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_cli7z.desktop
)

########### install files ###############

install(TARGETS kerfuffle_cli7z  DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_cli7z.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_CLI7Z_MIMETYPES}" PARENT_SCOPE)

=== plugins/clilhaplugin/CMakeLists.txt ===
########### next target ###############

set(SUPPORTED_CLILHA_MIMETYPES "application/x-lha;")

set(kerfuffle_clilha_SRCS cliplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_clilha_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.clilha)

add_library(kerfuffle_clilha MODULE ${kerfuffle_clilha_SRCS})

target_link_libraries(kerfuffle_clilha kerfuffle )

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_clilha.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_clilha.desktop
)

########### install files ###############

install(TARGETS kerfuffle_clilha  DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_clilha.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_CLILHA_MIMETYPES}" PARENT_SCOPE)

=== plugins/cliplugin-example/CMakeLists.txt ===
set(kerfuffle_cli_SRCS cliplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_cli_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.cliexample)

add_library(kerfuffle_cli ${kerfuffle_cli_SRCS})
target_link_libraries(kerfuffle_cli KF5::KIOCore kerfuffle)

install(TARGETS kerfuffle_cli DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kerfuffle_cli.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/clirarplugin/CMakeLists.txt ===
########### next target ###############

set(SUPPORTED_CLIRAR_MIMETYPES "application/x-rar;")
set(ENCRYPT_ENTRIES_MIMETYPES "application/x-rar")
set(ENCRYPT_HEADER_MIMETYPES "application/x-rar")

set(kerfuffle_clirar_SRCS cliplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_clirar_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.clirar)

add_library(kerfuffle_clirar MODULE ${kerfuffle_clirar_SRCS})

target_link_libraries(kerfuffle_clirar kerfuffle)

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_clirar.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_clirar.desktop
)

########### install files ###############

install(TARGETS kerfuffle_clirar  DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_clirar.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

if(Qt5Test_FOUND)
    add_subdirectory(autotests)
endif()

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_CLIRAR_MIMETYPES}" PARENT_SCOPE)

=== plugins/clizipplugin/CMakeLists.txt ===
########### next target ###############

set(SUPPORTED_CLIZIP_MIMETYPES "application/x-java-archive;application/zip;")
set(ENCRYPT_ENTRIES_MIMETYPES "application/x-java-archive,application/zip")

set(kerfuffle_clizip_SRCS cliplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_clizip_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.clizip)

add_library(kerfuffle_clizip MODULE ${kerfuffle_clizip_SRCS})

target_link_libraries(kerfuffle_clizip kerfuffle )

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_clizip.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_clizip.desktop
)

########### install files ###############

install(TARGETS kerfuffle_clizip  DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_clizip.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_CLIZIP_MIMETYPES}" PARENT_SCOPE)

=== plugins/clirarplugin/autotests/CMakeLists.txt ===
set(RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)

add_executable(clirartest clirartest.cpp
                          ../cliplugin.cpp
                          ../ark_debug.cpp)
add_test(ark-app-clirartest clirartest)
target_link_libraries(clirartest kerfuffle Qt5::Test KF5::Parts)
ecm_mark_as_test(clirartest)

=== debian/changelog ===
ark (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:46:31 -0700

ark (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Disable tests at build-time as they don't work without an installed copy
    of ark.

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:20:51 +0100

ark (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:38:57 +0100

ark (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:42 +0200

ark (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:44:56 +0200

ark (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).
  * New upstream release (15.04.3).
  * Drop usage of libarchive for zip files.
  * Rename patch: use_libarchive_for_zip_files ->
    update_libarchive_support
  * New upstream release (15.08.0).
  * Update build dependencies.
  * Update copyright file.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 06 Sep 2015 15:54:46 +0200

ark (4:15.08.0-0ubuntu2) UNRELEASED; urgency=medium

  * Fix org.kde.ark.appdata.xml rename.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 08 Sep 2015 08:15:12 +0200

ark (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:12:56 +0200

ark (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (4.14.3).
  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.
  * New upstream patch: upstream_stop_crashing_on_exit properly fixes
    upstream_remove_part_from_KXMLGUIFactory_on_exit (Closes: #770840)
    Thanks to Tsu Jan
  * Remove upstream patch:
    upstream_remove_part_from_KXMLGUIFactory_on_exit
  * Remove upstream patch: upstream_stop_crashing_on_exit

 -- Maximiliano Curia <maxy@debian.org>  Mon, 23 Feb 2015 22:36:03 +0100

=== debian/control ===
--- 
+++ 
@@ -8,30 +8,29 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules,
-               kdoctools-dev,
-               kio-dev,
-               libarchive-dev,
+               extra-cmake-modules (>= 1.7.0~),
+               kdoctools-dev (>= 5.6.0~),
+               kio-dev (>= 5.6.0~),
+               libarchive-dev (>= 3.0.0~),
                libbz2-dev,
-               libkf5archive-dev,
-               libkf5config-dev,
-               libkf5crash-dev,
-               libkf5dbusaddons-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5khtml-dev,
-               libkf5pty-dev,
-               libkf5service-dev,
-               libkf5widgetsaddons-dev,
+               libkf5archive-dev (>= 5.6.0~),
+               libkf5config-dev (>= 5.6.0~),
+               libkf5crash-dev (>= 5.6.0~),
+               libkf5dbusaddons-dev (>= 5.6.0~),
+               libkf5i18n-dev (>= 5.6.0~),
+               libkf5iconthemes-dev (>= 5.6.0~),
+               libkf5khtml-dev (>= 5.6.0~),
+               libkf5pty-dev (>= 5.6.0~),
+               libkf5service-dev (>= 5.6.0~),
+               libkf5widgetsaddons-dev (>= 5.6.0~),
                liblzma-dev,
                libqjson-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
+               qtbase5-dev (>= 5.4.0~),
                zlib1g-dev
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ark.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ark.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=ark-dbg

override_dh_auto_test:
	# disable the tests as they require an installed copy of ark
	:

## ark 16.04.3a

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION 5.4.0)
-set(KF5_MIN_VERSION 5.6.0)
+set(KF5_MIN_VERSION 5.16.0)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "15")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MAJOR "16")
+set (KDE_APPLICATIONS_VERSION_MINOR "04")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
@@ -17,14 +17,10 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(GenerateExportHeader)
 include(FeatureSummary)
 include(ECMQtDeclareLoggingCategory)
-
-if(POLICY CMP0063)
-    cmake_policy(SET CMP0063 NEW)
-endif()
 
 add_definitions(-DQT_NO_CAST_FROM_ASCII
                 -DQT_NO_URL_CAST_FROM_STRING)
@@ -38,7 +34,10 @@
                   VARIABLE_PREFIX KERFUFFLE
                   SOVERSION ${ARK_VERSION_MAJOR})
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets)
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
+    Core
+    Gui
+    Widgets)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive
                                                         Config
                                                         Crash
@@ -56,14 +55,12 @@
 set_package_properties(Qt5Test PROPERTIES
     PURPOSE "Required for tests"
     TYPE OPTIONAL)
-add_feature_info("Qt5Test" Qt5Test_FOUND "Required for building tests")
-if (NOT Qt5Test_FOUND)
+
+if(NOT Qt5Test_FOUND)
     set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
-else()
-    include(ECMAddTests)
 endif()
 
-find_package(LibArchive 3.0.0 REQUIRED)
+find_package(LibArchive 3.1.0 REQUIRED)
 set_package_properties(LibArchive PROPERTIES
                        URL "http://www.libarchive.org/"
                        DESCRIPTION "A library for dealing with a wide variety of archive file formats"
@@ -91,6 +88,10 @@
 add_subdirectory(app)
 add_subdirectory(doc)
 
+if(BUILD_TESTING)
+    add_subdirectory(autotests)
+endif()
+
 ki18n_install(po)
 
 install( FILES ark.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

=== debian/changelog ===
ark (4:16.04.3a-0ubuntu2) yakkety; urgency=medium

  * Run tests with xvfb-run in order to fix autopkgtest.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 04 Oct 2016 19:53:35 +0100

ark (4:16.04.3a-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge. 
  * Missing separator FTBFS, the only thing I can thing of
    is adding a slash. 
  * Still failing, remove dash in front of rm? 
  * Remove merge markers.. bump SO version for libkerfuffle. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Fix merge markers. 
  * New upstream bugfix release

  [ Rik Mills ]
  * Update lintian override package-name-doesnt-match-sonames
    libkerfuffle16 to new version
  * Add new missing file

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * Fixing install file
  * New upstream release (16.04.3)
  * New respun upstream tarball, Ill call it 16.04.3a
  * Fixing spelling and other lintian complaints in changelog

  [ José Manuel Santamaría Lema ]
  * Update appstream metadata path.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:31:30 +0200

ark (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:09 +0100

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libarchive-dev (>= 3.0.0~),
               libbz2-dev,
               libkf5archive-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5crash-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5khtml-dev (>= 5.24.0~),
               libkf5parts-dev (>= 5.24.0~),
               libkf5pty-dev (>= 5.24.0~),
               libkf5service-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               liblzma-dev,
               libqjson-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unzip, zip
Suggests: rar, unrar | unrar-free
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='ark-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp \
	rm debian/tmp/usr/lib/*/libkerfuffle.so

override_dh_auto_test:
	# Disable auto tests at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, xvfb
Restrictions: build-needed

## ark 16.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "16")
-set (KDE_APPLICATIONS_VERSION_MINOR "04")
+set (KDE_APPLICATIONS_VERSION_MINOR "08")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
@@ -35,6 +35,7 @@
                   SOVERSION ${ARK_VERSION_MAJOR})
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
+    Concurrent
     Core
     Gui
     Widgets)
@@ -65,6 +66,12 @@
                        URL "http://www.libarchive.org/"
                        DESCRIPTION "A library for dealing with a wide variety of archive file formats"
                        PURPOSE "Required for among others tar, tar.gz, tar.bz2 formats in Ark.")
+
+find_package(SharedMimeInfo QUIET)
+set_package_properties(SharedMimeInfo PROPERTIES
+                       TYPE OPTIONAL
+                       PURPOSE "Required for archive formats without an official mimetype.")
+
 
 option(WITH_TEST_COVERAGE "Build with test coverage support" OFF)
 if (WITH_TEST_COVERAGE)

=== autotests/kerfuffle/CMakeLists.txt ===
set(RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

set(JSONINTERFACE_SOURCES
    jsonarchiveinterface.cpp
    jsonparser.cpp
)
add_library(jsoninterface STATIC ${JSONINTERFACE_SOURCES})
target_link_libraries(jsoninterface kerfuffle)

ecm_add_tests(
    addtoarchivetest.cpp
    archivetest.cpp
    createdialogtest.cpp
    metadatatest.cpp
    mimetypetest.cpp
    LINK_LIBRARIES kerfuffle Qt5::Test
    NAME_PREFIX kerfuffle-)

ecm_add_test(
    adddialogtest.cpp
    LINK_LIBRARIES kerfuffle Qt5::Test KF5::KIOFileWidgets
    NAME_PREFIX kerfuffle-)

ecm_add_tests(
    jobstest.cpp
    LINK_LIBRARIES jsoninterface Qt5::Test
    NAME_PREFIX kerfuffle-)

# metadatatest needs the number of plugins actually installed by an install() command.
list(REMOVE_ITEM INSTALLED_KERFUFFLE_PLUGINS "")
list(LENGTH INSTALLED_KERFUFFLE_PLUGINS INSTALLED_COUNT)
target_compile_definitions(metadatatest PRIVATE -DPLUGINS_COUNT=${INSTALLED_COUNT})

=== plugins/cliunarchiverplugin/CMakeLists.txt ===
########### next target ###############

# TODO: drop application/x-rar alias once distributions ship shared-mime-info 1.7
set(SUPPORTED_CLIUNARCHIVER_MIMETYPES "application/vnd.rar;application/x-rar;")

set(kerfuffle_cliunarchiver_SRCS cliplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_cliunarchiver_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.cliunarchiver)

# NOTE: the first double-quotes of the first mime and the last
# double-quotes of the last mime must NOT be escaped.
set(SUPPORTED_MIMETYPES
    "application/vnd.rar\",
    \"application/x-rar")

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_cliunarchiver.json.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_cliunarchiver.json)

kerfuffle_add_plugin(kerfuffle_cliunarchiver ${kerfuffle_cliunarchiver_SRCS})

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_CLIUNARCHIVER_MIMETYPES}"
PARENT_SCOPE)
set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}kerfuffle_cliunarchiver;" PARENT_SCOPE)

=== plugins/clizipplugin/CMakeLists.txt ===
########### next target ###############

set(SUPPORTED_CLIZIP_MIMETYPES "application/x-java-archive;application/zip;")

set(kerfuffle_clizip_SRCS cliplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_clizip_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.clizip)

# NOTE: the first double-quotes of the first mime and the last
# double-quotes of the last mime must NOT be escaped.
set(SUPPORTED_MIMETYPES
    "application/x-java-archive\",
    \"application/zip")

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_clizip.json.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_clizip.json)

kerfuffle_add_plugin(kerfuffle_clizip ${kerfuffle_clizip_SRCS})

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_CLIZIP_MIMETYPES}" PARENT_SCOPE)
set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}kerfuffle_clizip;" PARENT_SCOPE)

=== autotests/plugins/cli7zplugin/CMakeLists.txt ===
set(RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_SOURCE_DIR}/plugins/cli7zplugin/)

file(COPY ${CMAKE_BINARY_DIR}/plugins/cli7zplugin/kerfuffle_cli7z.json
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

ecm_add_test(
    cli7ztest.cpp
    ${CMAKE_SOURCE_DIR}/plugins/cli7zplugin/cliplugin.cpp
    ${CMAKE_BINARY_DIR}/plugins/cli7zplugin/ark_debug.cpp
    LINK_LIBRARIES kerfuffle Qt5::Test
    TEST_NAME cli7ztest
    NAME_PREFIX plugins-)

=== debian/changelog ===
ark (4:16.08.3-2) unstable; urgency=medium

  * Add new patch: Stop-running-executables-when-opening-urls.patch (CVE-2017-5330)
    Thanks to Salvatore Bonaccorso for reporting (Closes: 850874)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 10 Feb 2017 16:29:46 +0100

ark (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:48:43 +0100

ark (4:16.08.2-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Remove unused libqjson-dev build dependency.

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 21:20:12 +0200

ark (4:16.04.3-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Add unar to Recommends and drop obsolete Suggests on various rar
    extraction packages since unar is now what upstream supports
    (Closes: #829265)
    -  Thanks to Alex Henry for the report and the solution

 -- Maximiliano Curia <maxy@debian.org>  Sun, 17 Jul 2016 21:01:20 +0200

ark (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 21:05:21 +0200

ark (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 10:48:30 +0200

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.14.0~),
               kdoctools-dev (>= 5.16.0~),
               kio-dev (>= 5.16.0~),
               libarchive-dev (>= 3.1.0~),
               libbz2-dev,
               libkf5archive-dev (>= 5.16.0~),
               libkf5config-dev (>= 5.16.0~),
               libkf5crash-dev (>= 5.16.0~),
               libkf5dbusaddons-dev (>= 5.16.0~),
               libkf5doctools-dev (>= 5.16.0~),
               libkf5i18n-dev (>= 5.16.0~),
               libkf5iconthemes-dev (>= 5.16.0~),
               libkf5khtml-dev (>= 5.6.0~),
               libkf5kio-dev (>= 5.16.0~),
               libkf5parts-dev (>= 5.16.0~),
               libkf5pty-dev (>= 5.16.0~),
               libkf5service-dev (>= 5.16.0~),
               libkf5widgetsaddons-dev (>= 5.16.0~),
               liblzma-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4.0~),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ark.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ark.git

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unar, unzip, zip
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='ark-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	-rm debian/tmp/usr/lib/*/libkerfuffle.so

override_dh_auto_test:
	# Disable auto tests at build time
	:

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ark-([\d.]+).tar.xz

## ark 16.12.3

=== debian/changelog ===
ark (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:27:56 +0000

ark (4:16.12.1-0ubuntu3) zesty; urgency=medium

  * Revert the wrong fix done in the previous upload and provide the proper
    solution:
    - Pass the proper --server-args to xvfb-run
    - Create a $HOME directory before running the tests

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 06 Feb 2017 15:29:36 +0000

ark (4:16.12.1-0ubuntu2) zesty; urgency=medium

  * Fix the autopkgtests by using okular as a model (LP: #1662060).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 06 Feb 2017 12:41:04 +0000

ark (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Fixing install file
  * Fixing lintian-overrides

  [ Rik Mills ]
  * Add new build dep on libkf5itemmodels-dev
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:16:34 +0000

ark (4:16.04.3a-0ubuntu3) zesty; urgency=medium

  * Fix RAR files with shared-mime-info >= 1.7 (LP: #1636655)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 10 Nov 2016 17:54:33 -0600

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libarchive-dev (>= 3.0.0~),
               libbz2-dev,
               libkf5archive-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5pty-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               liblzma-dev,
               libqjson-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unzip, zip
Suggests: rar, unrar | unrar-free
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.
